ru.bitel.bgbilling.modules.rscm.server.bean

## Class RSCMContractServiceManager

- java.lang.Object
- - ru.bitel.bgbilling.modules.rscm.server.bean.RSCMContractServiceManager

-     public class RSCMContractServiceManager
      extends java.lang.Object

  DAO потребленных договором услуг модуля.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RSCMContractServiceManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `checkBalanceForService(int cid, int serviceId, long amount, java.util.Calendar date)` Проверяет возможность добавление на договор с кодом cid услуги с кодом serviceId в размере amount единиц на текущую дату.
    `void` | `checkTariffsForService(int cid, int serviceId, java.util.Calendar date)`
    `void` | `deleteContractService(int id, int contractId, java.util.Date month)` Удаление потребленной услуги договора.
    `RSCMContractService` | `getContractService(int contractId, int id)` Получение потребленной услуги договора.
    `RSCMContractService` | `getContractService(int contractId, int id, java.util.Date date)` Deprecated.
    `java.util.List<RSCMContractService>` | `getContractServiceList(int contractId, java.util.Calendar month)` Список потребленных договором услуг.
    `java.util.List<RSCMContractService>` | `getContractServiceList(int contractId, Period period, Page page, boolean dateAscOrder)`
    `void` | `hotCalc(int cid, java.util.Date date, boolean hotCalc)`
    `void` | `updateContractService(RSCMContractService contractService)` Изменение/добавление потребленной услуги.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RSCMContractServiceManager

          public RSCMContractServiceManager(java.sql.Connection con,
                                            int mid)

  - ### Method Detail

    - #### checkBalanceForService

          public java.lang.String checkBalanceForService(int cid,
                                                         int serviceId,
                                                         long amount,
                                                         java.util.Calendar date)
                                                  throws ru.bitel.bgbilling.common.BGException

      Проверяет возможность добавление на договор с кодом cid услуги с кодом serviceId в размере amount единиц на текущую дату. В случае, если на договоре достаточно средств, то метод возвращает null, иначе - строку с описанием причины невозможности добавления услуги.
      Parameters:
        `cid` - код договора
        `serviceId` - код услуги
        `amount` - количество единиц
        `date` - дата
      Returns:
        null - если добавление возможно, и String - причина невозможности добавления услуги
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### checkTariffsForService

          public void checkTariffsForService(int cid,
                                             int serviceId,
                                             java.util.Calendar date)
                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractServiceList

          public java.util.List<RSCMContractService> getContractServiceList(int contractId,
                                                                            java.util.Calendar month)
                                                                     throws ru.bitel.bgbilling.common.BGException

      Список потребленных договором услуг.
      Parameters:
        `contractId` - код договора
        `month` - месяц
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractServiceList

          public java.util.List<RSCMContractService> getContractServiceList(int contractId,
                                                                            Period period,
                                                                            Page page,
                                                                            boolean dateAscOrder)
                                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateContractService

          public void updateContractService(RSCMContractService contractService)
                                     throws ru.bitel.bgbilling.common.BGException

      Изменение/добавление потребленной услуги. Добавление происходит при getId() <= 0.
      Parameters:
        `contractService` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteContractService

          public void deleteContractService(int id,
                                            int contractId,
                                            java.util.Date month)
                                     throws ru.bitel.bgbilling.common.BGException

      Удаление потребленной услуги договора.
      Parameters:
        `id` - код записи
        `contractId` - код договора
        `month` - месяц
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractService

          @Deprecated
          public RSCMContractService getContractService(int contractId,
                                                                    int id,
                                                                    java.util.Date date)
                                                             throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractService

          public RSCMContractService getContractService(int contractId,
                                                        int id)
                                                 throws ru.bitel.bgbilling.common.BGException

      Получение потребленной услуги договора.
      Parameters:
        `contractId` - код договора
        `id` - код записи
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### hotCalc

          public void hotCalc(int cid,
                              java.util.Date date,
                              boolean hotCalc)
                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`